
TYPO3.Flow - Bug # 1402

Status: Resolved Priority: Should have
Author: IT Corporation Category:
Created: 2008-08-28 Assigned To:
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Opening Public directory: PHP Error
Description

I get this error, if i open the public dirctory in opera:

Warning: require(DIR/../Packages/FLOW3/Classes/F3_FLOW3.php) [function.require]: failed to open stream: No such file or directory
in C:\Programme\Apache Software Foundation\Apache2.2\htdocs\aa\2\trunk\Public\index.php on line 27

Fatal error: require() [function.require]: Failed opening required '__DIR__/../Packages/FLOW3/Classes/F3_FLOW3.php'
(include_path='.;C:\php5\pear') in C:\Programme\Apache Software Foundation\Apache2.2\htdocs\aa\2\trunk\Public\index.php on line
27

PHP Version: 5.2.5 (need i version 5.2.6)
MysqlVersion: 5.0.0
Apache 2

Associated revisions
Revision 094a7523 - 2008-09-02 12:34 - Robert Lemke

    -  FLOW3: Moved the php version check to the very beginning of the FLOW3 bootstrap - otherwise DIR is used and results in an error if the PHP
version is below 5.3.0. Closes #1402

History
#1 - 2008-08-29 12:50 - Tim Eilers

You need PHP 5.3 to run FLOW3!

Check the mailing List.

Here is the thread, why PHP 5.3 is needed:

http://support.typo3.org/projects/typo3-5-0general/m/typo3-50-general-upgrade-to-53-356755/p/9/

And here is some help to get PHP 5.3 running under Windows & XAMPP (read the whole thread!):

http://support.typo3.org/projects/typo3-5-0general/m/typo3-50-general-problems-with-php53alpha-on-windows-358133/p/9/

#2 - 2008-09-02 12:34 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1170.
